import { Component, Prop, h } from '@stencil/core';
export class TeliaAlertBadge {
  constructor() {
    /** Tracking id is used to identify and count Component usage */
    this.dataTrackingId = 'telia-alert-badge';
  }
  render() {
    return (h("span", { class: {
        'telia-alert-badge': true,
        [`telia-alert-badge--${this.variant}`]: !!this.variant,
      }, "data-testid": this.dataTestid },
      h("telia-vst", { dataTrackingId: this.dataTrackingId })));
  }
  static get is() { return "telia-alert-badge"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["telia-alert-badge.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["telia-alert-badge.css"]
  }; }
  static get properties() { return {
    "variant": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "AlertBadgeVariantType",
        "resolved": "\"attention\" | \"error\" | \"information\" | \"neutral\" | \"success\" | \"warning\"",
        "references": {
          "AlertBadgeVariantType": {
            "location": "import",
            "path": "../../types/AlertBadgeVariants"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Set Badge Variant"
      },
      "attribute": "variant",
      "reflect": false
    },
    "dataTestid": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Test id set for web component host"
      },
      "attribute": "data-testid",
      "reflect": false
    }
  }; }
}
